libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Enumerations | Variables
libcamera::controls::rpi Namespace Reference

Namespace for rpi controls. More...

## Enumerations
enum | { STATS_OUTPUT_ENABLE = 20001 , BCM2835_STATS_OUTPUT = 20002 }

## Variables
const Control< bool > | StatsOutputEnable
| Toggles the Raspberry Pi IPA to output the hardware generated statistics.
const Control< Span< const uint8_t > > | Bcm2835StatsOutput
| Span of the BCM2835 ISP generated statistics for the current frame.

## Detailed Description

Namespace for rpi controls.

## Variable Documentation

## ◆ Bcm2835StatsOutput

const Control<Span<const uint8_t> > libcamera::controls::rpi::Bcm2835StatsOutput
| extern

Span of the BCM2835 ISP generated statistics for the current frame.

This is sent in the Request metadata if the StatsOutputEnable is set to true. The statistics struct definition can be found in include/linux/bcm2835-isp.h.

See also
  StatsOutputEnable

## ◆ StatsOutputEnable

const Control<bool> libcamera::controls::rpi::StatsOutputEnable
| extern

Toggles the Raspberry Pi IPA to output the hardware generated statistics.

When this control is set to true, the IPA outputs a binary dump of the hardware generated statistics through the Request metadata in the Bcm2835StatsOutput control.

See also
  Bcm2835StatsOutput